org.apache.ignite.internal.pagemem.wal.record

## Class MasterKeyChangeRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.MasterKeyChangeRecord

Deprecated.
Replaced by MasterKeyChangeRecordV2.

    @Deprecated
    public class MasterKeyChangeRecord
    extends WALRecord

Logical record that stores encryption keys. Written to the WAL on the master key change.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`MasterKeyChangeRecord(String masterKeyName, Map<Integer,byte[]> grpKeys)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `dataSize()` Deprecated.
`Map<Integer,byte[]>` `getGrpKeys()` Deprecated.
`String` `getMasterKeyName()` Deprecated.
`WALRecord.RecordType` `type()` Deprecated.

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MasterKeyChangeRecord

    public MasterKeyChangeRecord(String masterKeyName,
                                 Map<Integer,byte[]> grpKeys)

Deprecated.

Parameters:
  `masterKeyName` - Master key name.
  `grpKeys` - Encrypted group keys.

### Method Detail

#### getMasterKeyName

    public String getMasterKeyName()

Deprecated.

Returns:
  Master key name.

#### getGrpKeys

    public Map<Integer,byte[]> getGrpKeys()

Deprecated.

Returns:
  Encrypted group keys.

#### type

    public WALRecord.RecordType type()

Deprecated.

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### dataSize

    public int dataSize()

Deprecated.

Returns:
  Record data size.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023